Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 434928 - x11-drivers/xf86-video-intel-2.20.7 USE=sna crashes when built with clang
Summary: x11-drivers/xf86-video-intel-2.20.7 USE=sna crashes when built with clang
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Clang Team (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: systemwide-clang
  Show dependency tree
 
Reported: 2012-09-13 16:54 UTC by erdbeer
Modified: 2015-02-23 01:04 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Xorg.0.log (Xorg.0.log,16.03 KB, text/plain)
2012-09-13 16:54 UTC, erdbeer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description erdbeer 2012-09-13 16:54:57 UTC
Created attachment 323694 [details]
Xorg.0.log

When I build x11-drivers/xf86-video-intel-2.20.7 with clang and set sna as the acceleration method, X crashes. With uxa+clang, sna+gcc, everything works as expected, so probably clang doesn't compile the sna code correctly.

Steps to reproduce:
1. Set clang as the compiler for xf86-video-intel
2. Set the USE flag sna
3. Configure X to use sna
4. Build x11-drivers/xf86-video-intel-2.20.7
5. Run X
Comment 1 Reinis Danne 2012-09-13 17:37:46 UTC
Clang is not supported by upstream at this time.
Comment 2 Priit Laes (IRC: plaes) 2014-03-19 20:13:21 UTC
I ran into same issue:
  * x11-drivers/xf86-video-intel-2.99.910  USE="dri sna udev xvmc -debug -glamor -uxa" 
  * sys-devel/clang-3.4-r100:0/3.4
Comment 3 Matt Turner gentoo-dev 2015-02-23 01:04:58 UTC
I think it's very likely this is fixed in a new version of the driver. If it's
not, please file a bug upstream at bugs.freedesktop.org. We're not prepared to
fix driver issues that aren't fixed upstream.